gi-pango-1.0.19: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Pango.Structs.AttrFloat

Contents

- Exported types
- Properties
  - attr
  - value

Description

The `AttrFloat` structure is used to represent attributes with a float or double value.

Synopsis

- newtype AttrFloat = AttrFloat (ManagedPtr AttrFloat)
- newZeroAttrFloat :: MonadIO m => m AttrFloat
- noAttrFloat :: Maybe AttrFloat
- getAttrFloatAttr :: MonadIO m => AttrFloat -> m Attribute
- getAttrFloatValue :: MonadIO m => AttrFloat -> m Double
- setAttrFloatValue :: MonadIO m => AttrFloat -> Double -> m ()

# Exported types

newtype AttrFloat Source #

Memory-managed wrapper type.

Constructors

AttrFloat (ManagedPtr AttrFloat) |

Instances

WrappedPtr AttrFloat Source # |
Instance details Defined in GI.Pango.Structs.AttrFloat Methods wrappedPtrCalloc :: IO (Ptr AttrFloat) Source # wrappedPtrCopy :: AttrFloat -> IO AttrFloat Source # wrappedPtrFree :: Maybe (FunPtr (Ptr AttrFloat -> IO ())) Source #
tag ~ AttrSet => Constructible AttrFloat tag Source # |
Instance details Defined in GI.Pango.Structs.AttrFloat Methods new :: MonadIO m => (ManagedPtr AttrFloat -> AttrFloat) -> [AttrOp AttrFloat tag] -> m AttrFloat Source #

newZeroAttrFloat :: MonadIO m => m AttrFloat Source #

Construct a `AttrFloat` struct initialized to zero.

noAttrFloat :: Maybe AttrFloat Source #

A convenience alias for `Nothing` :: `Maybe` `AttrFloat`.

# Properties

## attr

the common portion of the attribute

getAttrFloatAttr :: MonadIO m => AttrFloat -> m Attribute Source #

Get the value of the “`attr`” field. When overloading is enabled, this is equivalent to

    get attrFloat #attr

## value

the value of the attribute

getAttrFloatValue :: MonadIO m => AttrFloat -> m Double Source #

Get the value of the “`value`” field. When overloading is enabled, this is equivalent to

    get attrFloat #value

setAttrFloatValue :: MonadIO m => AttrFloat -> Double -> m () Source #

Set the value of the “`value`” field. When overloading is enabled, this is equivalent to

    set attrFloat [ #value := value ]